Skip to content
API Reference

List

organizations.invitations.list(strorganization_id, InvitationListParams**kwargs) -> InvitationListResponse
GET/organizations/{organization_id}/invitations

List invitations for an organization

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
after: Optional[str]

Cursor for forward pagination

minLength1
maxLength255
before: Optional[str]

Cursor for backward pagination

minLength1
maxLength255
expand: Optional[List[Literal["permissions", "total_count"]]]

Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
limit: Optional[int]

Maximum number of invitations to return

minimum1
maximum100
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class InvitationListResponse:
items: List[Invitation]
id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time
created_by: str

ID of the user who created the invitation

minLength1
maxLength255
email: str

Email address for the invitation

formatemail
expires_at: datetime

When the invitation expires

formatdate-time
organization_id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255

Role that will be assigned when invitation is accepted

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"

Status of an invitation

Accepts one of the following:
"pending"
"accepted"
"expired"
"revoked"
updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

page_info: PageInfoCursor

Pagination information using cursor-based pagination

has_next_page: bool

Whether there are more items after the current page

has_prev_page: bool

Whether there are more items before the current page

end_cursor: Optional[str]

Cursor pointing to the last item in the current page

minLength1
maxLength255
start_cursor: Optional[str]

Cursor pointing to the first item in the current page

minLength1
maxLength255
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List

from keycardai_api import KeycardAPI

client = KeycardAPI()
invitations = client.organizations.invitations.list(
    organization_id="x",
)
print(invitations.items)
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "created_by": "ab3def8hij2klm9opq5rst7uvw",
      "email": "dev@stainless.com",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "organization_id": "ab3def8hij2klm9opq5rst7uvw",
      "role": "org_admin",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "created_by": "ab3def8hij2klm9opq5rst7uvw",
      "email": "dev@stainless.com",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "organization_id": "ab3def8hij2klm9opq5rst7uvw",
      "role": "org_admin",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}